import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
import { OBLIGATION, ORDERTOPAY, ORDERTORECEIVE, FINISH, AFTERSALE } from '../../static';
const OrderEntryJsx = () => {
    const { View, Text, Badge } = useComponent();
    return (_jsxs(View, Object.assign({ className: 'orderEntry' }, { children: [_jsxs(View, Object.assign({ className: 'title' }, { children: [_jsx(View, Object.assign({ className: 'name' }, { children: "\u6211\u7684\u8BA2\u5355" })), _jsx(View, Object.assign({ className: 'more' }, { children: "\u67E5\u770B\u5168\u90E8" }))] })), _jsxs(View, Object.assign({ className: 'content' }, { children: [_jsxs(View, Object.assign({ className: 'contentItem obligation' }, { children: [_jsx(Badge, Object.assign({ content: 5, color: 'red', style: { color: '#fff', fontSize: 12 } }, { children: _jsx("img", { src: OBLIGATION, mode: 'widthFix', className: 'icon' }) })), _jsx(Text, Object.assign({ className: 'subTitle' }, { children: "\u5F85\u4ED8\u6B3E" }))] })), _jsxs(View, Object.assign({ className: 'contentItem orderToPay' }, { children: [_jsx("img", { src: ORDERTOPAY, mode: 'widthFix', className: 'icon' }), _jsx(Text, Object.assign({ className: 'subTitle' }, { children: "\u5F85\u53D1\u8D27" }))] })), _jsxs(View, Object.assign({ className: 'contentItem orderToReceive' }, { children: [_jsx("img", { src: ORDERTORECEIVE, mode: 'widthFix', className: 'icon' }), _jsx(Text, Object.assign({ className: 'subTitle' }, { children: "\u5F85\u6536\u8D27" }))] })), _jsxs(View, Object.assign({ className: 'contentItem finish' }, { children: [_jsx("img", { src: FINISH, mode: 'widthFix', className: 'icon' }), _jsx(Text, Object.assign({ className: 'subTitle' }, { children: "\u5DF2\u5B8C\u6210" }))] })), _jsxs(View, Object.assign({ className: 'contentItem afterSale' }, { children: [_jsx("img", { src: AFTERSALE, mode: 'widthFix', className: 'icon' }), _jsx(Text, Object.assign({ className: 'subTitle' }, { children: "\u9000\u6362/\u552E\u540E" }))] }))] }))] })));
};
export const OrderEntry = memo(OrderEntryJsx);
